C# Класс Revit.SDK.Samples.NewOpenings.CS.Profile

Base class of ProfileFloor and ProfileWall contain the profile information and can make matrix to transform point to 2D plane
Показать файл Открыть проект Примеры использования класса

Защищенные свойства (Protected)

Свойство Тип Описание
m_appCreator Autodesk.Revit.Creation.Application
m_commandData Autodesk.Revit.UI.ExternalCommandData
m_dataProfile Autodesk.Revit.DB.Element
m_docCreator Autodesk.Revit.Creation.Document
m_face List

Открытые методы

Метод Описание
Draw2D ( Graphics graphics, Pen pen, Matrix4 matrix4 ) : void

Draw profile of wall or floor in 2D

DrawOpening ( List points, ToolType type ) : void

Abstract method to create Opening

GetFaceBounds ( ) : System.Drawing.PointF[]

Get Face Bounds

GetFaces ( Autodesk elem ) : List>

Get edges of element's profile

Profile ( Autodesk elem, ExternalCommandData commandData ) : System

Constructor

To2DMatrix ( ) : Matrix4

Get a matrix which can transform points to 2D

ToCenterMatrix ( ) : Matrix4

Get a matrix which can move points to origin

WallMatrix ( ) : Matrix4

Wall matrix

Приватные методы

Метод Описание
GetFaceNormal ( List face ) : Vector4

Get Face Normal

GetNeedFace ( List faces ) : List

Get First Face

GetWallFace ( List faces ) : List

Get wall face

Описание методов

Draw2D() публичный Метод

Draw profile of wall or floor in 2D
public Draw2D ( Graphics graphics, Pen pen, Matrix4 matrix4 ) : void
graphics System.Drawing.Graphics form graphic
pen System.Drawing.Pen pen use to draw line in pictureBox
matrix4 Matrix4 matrix used to transform points between 3d and 2d.
Результат void

DrawOpening() публичный абстрактный Метод

Abstract method to create Opening
public abstract DrawOpening ( List points, ToolType type ) : void
points List
type ToolType
Результат void

GetFaceBounds() публичный Метод

Get Face Bounds
public GetFaceBounds ( ) : System.Drawing.PointF[]
Результат System.Drawing.PointF[]

GetFaces() публичный Метод

Get edges of element's profile
public GetFaces ( Autodesk elem ) : List>
elem Autodesk Selected element
Результат List>

Profile() публичный Метод

Constructor
public Profile ( Autodesk elem, ExternalCommandData commandData ) : System
elem Autodesk Selected element
commandData ExternalCommandData ExternalCommandData
Результат System

To2DMatrix() публичный Метод

Get a matrix which can transform points to 2D
public To2DMatrix ( ) : Matrix4
Результат Matrix4

ToCenterMatrix() публичный Метод

Get a matrix which can move points to origin
public ToCenterMatrix ( ) : Matrix4
Результат Matrix4

WallMatrix() публичный Метод

Wall matrix
public WallMatrix ( ) : Matrix4
Результат Matrix4

Описание свойств

m_appCreator защищенное свойство

Application creator
protected Autodesk.Revit.Creation.Application m_appCreator
Результат Autodesk.Revit.Creation.Application

m_commandData защищенное свойство

command data
protected ExternalCommandData,Autodesk.Revit.UI m_commandData
Результат Autodesk.Revit.UI.ExternalCommandData

m_dataProfile защищенное свойство

Wall or Floor element
protected Element,Autodesk.Revit.DB m_dataProfile
Результат Autodesk.Revit.DB.Element

m_docCreator защищенное свойство

Document creator
protected Autodesk.Revit.Creation.Document m_docCreator
Результат Autodesk.Revit.Creation.Document

m_face защищенное свойство

geometry object [face]
protected List m_face
Результат List